Subject: Re: [PATCH] git.el: Make it easy to add unmerged files

From: Alexandre Julliard <[email-masked]>
Date: Sun, 30 Aug 2009 17:58:53 +0200

Martin Nordholts <[email-masked]> writes:

> (Resending as I managed to mangle the previous patch despite trying not to...)
>
> It is nice and easy to git-add ignored and unknown files in a
> git-status buffer. Make it equally easy to add unmerged files which is
> a common use case.

That's not quite what adding a file means in git.el, unmerged files are
considered added already, and marking them resolved is done through the
git-resolve-file command. Of course that was implemented before git
overloaded the meaning of git-add to mean git-update-index, so maybe we
should follow the trend and use git-add-file for all index updates. In
that case git-resolve-file should probably be removed.

-- 
Alexandre Julliard
[email-masked]